attribute vec4 a_position;
attribute vec4 a_color;
uniform mat4 u_MVPMatrix;
uniform float u_pointSize;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
#else
varying vec4 v_fragmentColor;
#endif

varying vec2 v_pos;
void main() {
    gl_Position = u_MVPMatrix * a_position;
    v_pos = vec2(a_position.x/1334.0,a_position.y/750.0);
    gl_PointSize = u_pointSize;
    v_fragmentColor = a_color;
}