attribute vec4 a_position;
attribute vec4 a_color;
attribute vec4 a_texCoord;
uniform mat4 u_MVPMatrix;
uniform float u_pointSize;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
//varying mediump vec2 v_texCoord;
#else
varying vec4 v_fragmentColor;
//varying vec2 v_texCoord;
#endif

varying vec2 v_pos;
void main() {
    gl_Position = u_MVPMatrix * a_position;
    gl_PointSize = u_pointSize;
    v_pos = vec2(a_position.x/1334.0,a_position.y/750.0);
    //v_texCoord = vec2(a_texCoord.s, 1.0 - a_texCoord.t);
    v_fragmentColor = a_color;
}