#ifdef GL_ES
precision lowp float;
#endif


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float u_alpha;

void main() {
      const float min = 0.5;
      const float screenY = 768.0;
      float f = min + gl_FragCoord.y / (screenY / (1.0-min));
      gl_FragColor = v_fragmentColor * texture2D(u_texture, v_texCoord) * vec4(f,f,f,1.0);
}