#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float u_curvePerc;

void main() {
    vec2 uv = v_texCoord;
    uv.y += pow(abs((0.5 - uv.x) * u_curvePerc),3.0);
    gl_FragColor = texture2D(u_texture, uv);
}
