#ifdef GL_ES
    precision highp float;
#endif
#define TAU 6.28318530718
#define MAX_ITER 6
#define intensity 0.005
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float u_time;

varying vec2 v_pos;
void main() {
    vec2 p = mod(v_pos*TAU*2.0, TAU)-250.0;
    vec2 i = p;
    vec3 c = vec3(0.15,0.15,0.15);
    float magic1 = 0.5;
    float magic2 = 0.5;
    for (int n = 1; n < MAX_ITER; n++) {
        float t = u_time / (float(n)*12.5);
        //i = p + vec2(cos(t - i.x) + sin(t + i.y), sin(t - i.y) + cos(t + i.x));
        float ds = 0.1;
        vec2 tex = vec2(0.0,0.0);
        if (n==3) {
          vec2 uv2 = vec2(mod((i.x+t)/ds,1.0), mod((i.y+t)/ds,1.0));
          tex = texture2D(u_texture, uv2).xy * 0.1;
        }
        i = p + vec2(cos(t - i.x) + sin(t + i.y), sin(t - i.y) + cos(t + i.x)) - tex;
        float f = (1.0/length(vec2(p.x / (sin(magic1*i.x+t)/intensity),p.y / (cos(i.y+t)/intensity))));
          if (n==3) {
              c.r -= f*0.75 * magic2;
              c.g += f*1.1 * magic2;
              c.b += f*2.5 * magic2;
          } else {
              c.r += f;
              c.g += f;
              c.b += f;
          }
    }
    c.r = 0.0  + pow(abs(1.17-pow(c.r/float(MAX_ITER), 1.0)), 8.0) * 0.29;
    c.g = 0.02 + pow(abs(1.17-pow(c.g/float(MAX_ITER), 1.0)), 8.0) * 0.85;
    c.b = 0.15 + pow(abs(1.17-pow(c.b/float(MAX_ITER), 1.0)), 8.0);
    vec4 wave = vec4(clamp(c, 0.0, 1.0), c * v_fragmentColor.a);
    // float f =  0.01;
    // gl_FragColor = texture2D(u_texture, vec2(gl_FragCoord.x/1334.0 + wave.r * f * v_fragmentColor.a, gl_FragCoord.y/750.0 + wave.g * f * v_fragmentColor.a)) + (wave * 0.5 * v_fragmentColor.a);
    gl_FragColor = wave;
    // gl_FragColor = texture2D(u_texture, v_pos);
}