#ifdef GL_ES
    precision highp float;
#endif
varying vec4 v_fragmentColor;
uniform sampler2D u_texture;
uniform float u_time;

void main() {
    float t1 = u_time / 200.0;
    float t2 = u_time / 250.0;
    vec2 uv = vec2(0.5*0.5*gl_FragCoord.x/1334.0, 0.5*gl_FragCoord.y/750.0);
    
	float t = texture2D(u_texture, vec2(fract(2.5*uv.x) + t1, fract(1.7*uv.y) + t2)).r;
    t+= texture2D(u_texture, vec2(fract(-2.1*uv.x) + t1, fract(-0.5*uv.y) + t2)).g;
    t+= texture2D(u_texture, vec2(fract(1.1*uv.x) + t2, fract(-1.5*uv.y) + t1)).b;

    float c = mix(0.0,1.0,pow(sin((4.0*t-2.0)*3.141593/8.0), 10.0));
    gl_FragColor = vec4(0.1+c*0.1, 0.1+c*0.1, 0.5+c*0.5, 0.75 * v_fragmentColor.a);
}