#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;

vec4 colorInverse ( vec4 color ) {
    vec3 visColor = color.rgb;
    vec3 inverse = vec3(1.0,1.0,1.0) - visColor;
    return vec4(mix(visColor, inverse, color.a), color.a);
}

void main () {
    vec4 texcolor = texture2D(u_texture, v_texCoord);
    gl_FragColor = colorInverse(texcolor);
} 