attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

uniform mat4 u_MVPMatrix;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
#endif
//  varying vec2 blurCoordinates[5];

void main()
{
    gl_Position = u_MVPMatrix * a_position;
    v_fragmentColor = a_color;
    v_texCoord = a_texCoord;
//  vec2 singleStepOffset = vec2(1.0/1334.0, 1.0/750.0);
//  blurCoordinates[0] = v_texCoord.xy;
//  blurCoordinates[1] = v_texCoord.xy + singleStepOffset * 1.407333;
//  blurCoordinates[2] = v_texCoord.xy - singleStepOffset * 1.407333;
//  blurCoordinates[3] = v_texCoord.xy + singleStepOffset * 3.294215;
//  blurCoordinates[4] = v_texCoord.xy - singleStepOffset * 3.294215;
}
