#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
uniform sampler2D u_texture;
uniform sampler2D u_maskTexture;

void main()
{
    float alpha = texture2D(u_maskTexture, v_texCoord).r;
    gl_FragColor = v_fragmentColor * texture2D(u_texture, v_texCoord) * alpha;
}
