attribute vec4 a_position;
attribute vec2 a_texCoord;
uniform mat4 u_MVPMatrix;
uniform vec2 u_size;
#ifdef GL_ES
precision lowp float;
precision lowp int;
#else
precision highp float;
precision highp int;
#endif
varying mediump vec2 v_texCoord;
varying mediump vec2 v_position;
void main() {
    gl_Position = u_MVPMatrix * a_position;
    v_texCoord = a_texCoord;
    v_position = a_position.xy / u_size.xy;
}
