#ifdef GL_ES
precision lowp float;
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif

uniform sampler2D u_texture;
uniform vec2 u_texelOffset;

void main () {
    vec4 s0 = texture2D(u_texture, v_texCoord);
    vec4 s01 = texture2D(u_texture, v_texCoord + u_texelOffset);
    vec4 s02 = texture2D(u_texture, v_texCoord - u_texelOffset);
    vec4 s03 = texture2D(u_texture, v_texCoord + vec2(-u_texelOffset.s, u_texelOffset.t));
    vec4 s04 = texture2D(u_texture, v_texCoord + vec2(u_texelOffset.s, -u_texelOffset.t));
    gl_FragColor = (s0+s01+s02+s03+s04) / 5.0;
}